CMSIS-RTOS2: osRtxInfo_t.post_process Struct Reference

| CMSIS-RTOS2 Version 2.1.3 Real-Time Operating System: API and RTX Reference Implementation

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
osRtxInfo_t.post_process Struct Reference

## Data Fields

void(* | thread )(osRtxThread_t *)
| < ISR Post Processing functions More...
void(* | event_flags )(osRtxEventFlags_t *)
| Event Flags Post Processing function. More...
void(* | semaphore )(osRtxSemaphore_t *)
| Semaphore Post Processing function. More...
void(* | memory_pool )(osRtxMemoryPool_t *)
| Memory Pool Post Processing function. More...
void(* | message )(osRtxMessage_t *)
| Message Post Processing function. More...

## Field Documentation

Thread Post Processing function